kind: DaemonSet
apiVersion: apps/v1
metadata:
  name: web-server
spec:
  selector:
    matchLabels:
      app: web-server-selector
  template:
    metadata:
      labels:
        app: web-server-selector
    spec:
      containers:
        - name: web-server-cont
          image: my-web-server:1
          ports:
            - containerPort: 8080